import { GraphQLSchema, OperationDefinitionNode } from 'graphql';
import { ClientSideBasePluginConfig, ClientSideBaseVisitor, LoadedFragment } from '@graphql-codegen/visitor-plugin-common';
import { VueUrqlRawPluginConfig } from './config.js';
export interface UrqlPluginConfig extends ClientSideBasePluginConfig {
    withComposition: boolean;
    urqlImportFrom: string;
}
export declare class UrqlVisitor extends ClientSideBaseVisitor<VueUrqlRawPluginConfig, UrqlPluginConfig> {
    private _externalImportPrefix;
    constructor(schema: GraphQLSchema, fragments: LoadedFragment[], rawConfig: VueUrqlRawPluginConfig);
    getImports(): string[];
    private _buildCompositionFn;
    protected buildOperation(node: OperationDefinitionNode, documentVariableName: string, operationType: string, operationResultType: string, operationVariablesTypes: string): string;
}
